#ifndef MEDICALRECORDMANAGER_H
#define MEDICALRECORDMANAGER_H

/*
    des:病例管理--不部分完成
    date:20241028
*/
#include <QWidget>
#include <QLabel>
#include <QLineEdit>
#include <QPushButton>
#include <QGroupBox>
#include <QCheckBox>
#include <QDateEdit>
#include <QTableWidget>
#include <QTabWidget>

#include <QHeaderView>
class  MedicalRecordManager:public QWidget
{
    Q_OBJECT
public:
    explicit MedicalRecordManager(QWidget * parent =NULL);
    virtual ~MedicalRecordManager();

    void  init();
    void  initLay();
    bool  initConnect();
    QTableWidget m_tableWidget;
    void initTable();
private:
    //搜索条件
    //QLabel  m_labSearchConditionDes;
    QGroupBox m_grpSearchConditionDes;
    //检查号
    QCheckBox m_chCheckNum;

    QLineEdit m_editCheckNum;
    //姓名
    QCheckBox m_chName;

    QLineEdit m_editName;
    //检查日期
    QCheckBox m_chCheckDate;
    QDateEdit m_editDate;

    //搜索
    QPushButton m_btnSearch;

};


#endif // MEDICALRECORDMANAGER_H
